> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Multiple Refills

> Initiate refills for multiple orders for the authenticated user.



## OpenAPI

````yaml api-refill-multiple POST /api/v2/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undrctrl.id
    description: Production server
security: []
paths:
  /api/v2/:
    post:
      summary: Create Multiple Refills
      description: Initiate refills for multiple orders for the authenticated user.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The `API key` for authentication
                  example: apiKey
                action:
                  type: string
                  description: Action to be performed, set to `refill`
                  example: refill
                orders:
                  type: string
                  description: Order IDs separated by a comma, up to 100 IDs
                  example: 1,2,3
              required:
                - key
                - action
                - orders
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    order:
                      type: integer
                      example: 1
                    refill:
                      oneOf:
                        - type: integer
                          example: 1
                        - type: object
                          properties:
                            error:
                              type: string
                              example: Incorrect order ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Incorrect request

````